<?php 
/******************************* 
  * Function by ellajardim.com.br *
  ------------------------------
********************************/ 
// style do blog

function style_or_min_style() {
    $located = locate_template( 'style.min.css' );
     if ($located != '' ) {
          echo '<link rel="stylesheet" href="'.get_template_directory_uri().'/style.min.css" />';
     } else {
          echo '<link rel="stylesheet" href="'.get_template_directory_uri().'/style.css" />';
     }
}

 // fonte titulo para admin area

add_action( 'admin_enqueue_scripts', 'add_google_font' );function add_google_font() {
  wp_enqueue_style( 'my-google-font', '//fonts.googleapis.com/css?family=Montserrat:100,400,500,700|Poppins:400,500' );}

 // mensagem footer
 function remove_footer_admin () {
echo 'Design & Programação feitos com amor por <a href="https://ellajardim.com.br" target="_blank" style="text-decoration:none;"><b><font color="#e2968c">Ella Jardim</font></b></a> para  '.get_bloginfo('name').' &hearts; ';
}
 
add_filter('admin_footer_text', 'remove_footer_admin');
function change_footer_version() {
  return ' <a href="https://ellajardim.com.br/lojinha" target="_blank">Lojinha</a> | <a href="https://ellajardim.com.br/faq" target="_blank">Ajuda</a> | <a href="https://instagram.com.br/ellajardim" target="_blank">Instagram</a> | <a href="https://ellajardim.com.br" target="_blank">Blog</a> ';
}
add_filter( 'update_footer', 'change_footer_version', 9999 );

// widget na dashboard inicial 
add_action('wp_dashboard_setup', 'my_custom_dashboard_widgets');

function my_custom_dashboard_widgets() {
global $wp_meta_boxes;
	global $current_user;
      get_currentuserinfo();

wp_add_dashboard_widget('custom_help_widget', 'Ajuda', 'custom_dashboard_help');
}

function custom_dashboard_help() {
echo 'Quero deixar aqui alguns links que podem te ajudar nessa vida de blogueira.<br><br> <a href="http://ellajardim.com.br/ajuda/biblioteca-recursos-blogueiros/" target="blank">Biblioteca de Recursos</a>: uma lista com muitos sites que podem te ajudar<br><br>
<a href="https://www.pinterest.de/ellajardim/gráfico/" target="blank">Inspiração gráfica</a>: inspire-se para criar seus banners<br><br>
<a href="https://www.pinterest.de/ellajardim/instagram/" target="blank">Instagram</a>: filtros, ajuda com o stories, dicas e outros materiais para te ajudar a crescer na plataforma<br><br>
<a href="https://www.pinterest.de/ellajardim/freebies-para-blogueiras-e-designers/" target="blank">Freebies</a>: coisinhas de graça para baixar e usar no blog<br><br>
Tutoriais <a href="https://www.youtube.com/playlist?list=PLHiLhs1hpjYwltFssD8hCISl_OOEpVCrJ" target="blank">Photoshop</a>, <a href="https://www.youtube.com/playlist?list=PLHiLhs1hpjYzO6qgJQjrdjcb3FSFASlCQ" target="blank">Illustrator</a> & <a href="https://www.youtube.com/playlist?list=PLHiLhs1hpjYyVh0JQJ2WnLFBERntoIWpU" target="blank">Lightroom</a><br><br>
<a href="https://www.youtube.com/playlist?list=PLHiLhs1hpjYyO0FuixaJIxT5aZRT3tVVd" target="blank">Dicas para blogueiras</a><br><br>
<a href="https://www.pinterest.de/ellajardim/freebies-para-blogueiras-e-designers/" target="blank">Freebies</a><br><br>';
}


// esconde plugins

add_action('pre_current_active_plugins', 'rdm_hide_plugin');
function rdm_hide_plugin() {
  global $wp_list_table;
    $hidearr = array('slate-admin-theme/slate-admin-theme.php');
    $myplugins = $wp_list_table->items;
      foreach ($myplugins as $key => $val) {
        if (in_array($key,$hidearr)) {
          unset($wp_list_table->items[$key]);
      }
    }
  }

  
// retorno de pagina inicial na marca de login
function loginpage_custom_link() {
    return get_bloginfo('url');
}
add_filter('login_headerurl','loginpage_custom_link');
 
// mudar o nome do titulo alt de header de login (marca)
function change_title_on_logo() {
    return 'Voltar para ' . get_bloginfo('name');
}
add_filter('login_headertitle', 'change_title_on_logo');


// executa php nos widgets
add_filter('widget_text','execute_php',100);
function execute_php($html){
     if(strpos($html,"<"."?php")!==false){
          ob_start();
          eval("?".">".$html);
          $html=ob_get_contents();
          ob_end_clean();
     }
     return $html;
}

// resumos em paginas
 
add_action( 'init', 'my_add_excerpts_to_pages' );
function my_add_excerpts_to_pages() {
     add_post_type_support( 'page', 'excerpt' );
}

?>